#define _ARMA_

class CfgPatches 
{
	class ttt_ndb
	{
		units[] = 
		{
			"ttt_ndb1"
		};
		weapons[] = {};
		requiredVersion = 1.68;
		requiredAddons[] = { "A3_Structures_f"};
		author = "TeTeT";
	};
};

class CfgVehicles
{
	class NonStrategic;

	class ttt_ndb1: NonStrategic
	{
		displayName = "NDB - Non Directional Beacon (virtual)";
		model = "\a3\weapons_f\empty.p3d";
		icon = "ttt_ndb\data\NDB_Symbol.paa";
		scope = 2;
		scopeCurator = 2;
		scopeArsenal = 1;
		destrType = "DestructNo";
		cost = 10000;
		editorCategory = "EdCat_Signs";
		editorSubcategory = "EdSubcat_Airports";
		vehicleClass = "Signs";		
		class Attributes {
			class Frequency {
				displayName = "NDB Frequency";
				tooltip = "Set the NDB Frequency";
				property = "ttt_ndb_freq";
				control = "Edit";
				expression = "_this setVariable ['%s', _value];";
				defaultValue = "0";
			};
		};	
		class EventHandlers 
		{
			class ttt_ndb 
			{
				init = "[_this select 0] call ttt_ndb_fnc_init;";
			};
		};
	};

	class Land;
	class Man: Land
	{
		class EventHandlers
		{
			class ttt_ndb
			{
				init = "[_this select 0] call ttt_ndb_fnc_addUI;";
				respawn = "[_this select 0] call ttt_ndb_fnc_addUI;";
			};
		};
	};

};

#include "defines.hpp"
#include "dialogFrequency.hpp"

class CfgFunctions
{
	class ttt_ndb
	{
		class functions
		{
			file = "\ttt_ndb\functions";
			class init{};
			class addUI{};
			class changeFrequency{};
		};
	};
};